Bug 1475293 - thin_metadata_size -V returns 1 after success
thin_metadata_size -V returns 1 after success
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-persistent-data (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Joe Thornber
Jakub Krysl
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 08:05 EDT by Jakub Krysl
Modified: 2017-09-22 07:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: device-mapper-persistent-data-0.7.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Krysl 2017-07-26 08:05:26 EDT
Description of problem:
Running command "thin_metadata_size -V" shows the correct version, but return value is 1 instead of 0. Other tools in device-mapper-persistent-data return the same correct version of device-mapper-persistent-data and their return value is 0.

Version-Release number of selected component (if applicable):
0.7.0-0.1.rc6.el7

How reproducible:
100%

Steps to Reproduce:
1.thin_metadata_size -V
2.echo $?

Actual results:
1

Expected results:
0

Additional info:
Comment 2 Joe Thornber 2017-09-19 06:30:56 EDT
https://github.com/jthornber/thin-provisioning-tools/commit/313716028e6e19d7694cc194daa83a73c7264f5b

Above commit fixes.

Release to follow.
Comment 4 Jakub Krysl 2017-09-22 07:53:48 EDT
'thin_metadata_size -V' retcode is 0 on success in device-mapper-persistent-data-0.7.2-1.el7

Note You need to log in before you can comment on or make changes to this bug.